TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
TIBCO.EMS.Queue Class Reference

A Queue object encapsulates a TIBCO EMS specific queue name. More...

Inheritance diagram for TIBCO.EMS.Queue:

## Public Member Functions
| Queue (string name)
| Constructs a new Queue object with the given name. More...
override Object | Clone ()
| Implementation of ICloneable. Overrides the cloning process. More...
override bool | Equals (Object obj)
| Compare with another object for equality. More...
override int | GetHashCode ()
| Returns a hashcode representing the current object More...
override string | ToString ()
| Returns a string representation of this `Queue` object. More...
Public Member Functions inherited from TIBCO.EMS.Destination
override string | ToString ()
| Returns a string representation of the destination. More...
override bool | Equals (Object obj)
| Compare with another object for equality. More...
override int | GetHashCode ()
| Returns a hashcode representing the current object More...

## Properties
string | QueueName`[get]`
| Gets the name of the queue More...

## Detailed Description

A Queue object encapsulates a TIBCO EMS specific queue name.

Queues store messages in a point-to-point messaging model in which each message has one producer and one consumer.

## Constructor & Destructor Documentation

TIBCO.EMS.Queue.Queue | ( | string | name | ) |
| inline

Constructs a new Queue object with the given name.

This is an utility provided to client so they can either create a dynamic destination or obtain a destination object provided that the object with the given name is already configured on the server.

This constructor creates only local objects (within the program). It does not attempt to lookup the corresponding server object until the program creates a MessageConsumer or a MessageProducer that uses the queue. That automatic lookup can result in either of two outcomes:

- If lookup succeeds, it binds the local queue object to the server queue object.
- If lookup fails, the server creates a new dynamic queue.

Parameters

  name | Find or create a queue with this name.

## Member Function Documentation

override Object TIBCO.EMS.Queue.Clone | ( |  | ) |
| inline virtual

Implementation of ICloneable. Overrides the cloning process.

Returns
  A object that is a clone of this Queue instance.

Reimplemented from TIBCO.EMS.Destination.

Reimplemented in TIBCO.EMS.TemporaryQueue.

override bool TIBCO.EMS.Queue.Equals | ( | Object | obj | ) |
| inline

Compare with another object for equality.

The current instance is said to be equals to another object when the latter is also a `Queue` instance and both have the same address.

Parameters

  obj | The object to compare with

Returns
  true if the object passed is also of type `Queue` and has the same address as the current instance, false otherwise.

override int TIBCO.EMS.Queue.GetHashCode | ( |  | ) |
| inline

Returns a hashcode representing the current object

Returns
  A hashcode based on the `Queue`.

override string TIBCO.EMS.Queue.ToString | ( |  | ) |
| inline

Returns a string representation of this `Queue` object.

Returns
  A string representation

## Property Documentation

string TIBCO.EMS.Queue.QueueName
| get

Gets the name of the queue

The lookup name of the queue object. If not set, null is returned

Each queue has a name that is unique among all queues.